petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMatlabEngineGetArray

Gets a variable from Matlab into an array

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineGetArray(PetscMatlabEngine mengine,int m,int n,PetscScalar *array,const char name[])

Not Collective Many br

### Input Parameters

| mengine | - the Matlab engine Many br
| m,n | - the dimensions of the array Many br
| array | - the array (represented in one dimension) Many br
| name | - the name of the array Many br

Many br

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineCreate(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), Many brPETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGet(), PetscMatlabEngine Many br

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages